using LHDN.CRM.BC.Common;
using LHDN.CRM.Web.Controllers;
using System.Web.Mvc;
using LHDN.CRM.Models.ViewModels;
using LHDN.CRM.Web.Filters;

namespace LHDN.CRM.Web.Areas.Activity.Controllers
{
    public class SearchController : BaseController
    {
        // GET: Activity/Search
        [CRMAuthorize(Constant.Authentication.Activity.SearchActivityProfile)]
        public ActionResult Index()
        {
            ViewBag.TableType = (int)Constant.TableType.Activity;

            AddAntiforgeryToken();
            return View();
        }

        [HttpPost]
        public ActionResult Listing(DashboardTilesStatusViewModel model)
        {
            ViewBag.TableType = (int)Constant.TableType.Activity;
            ViewBag.ActStatusId = model.Status1ID;
            ViewBag.LinkfromDashboard = true;

            AddAntiforgeryToken();
            return View("Index");
        }
    }
}